Problema com dependências desencontrada

1. Problema com dependências desencontrada

Matheus
21mateus

(usa Ubuntu)

Enviado em 17/08/2020 - 14:47h

Estou aprendendo a utilizar o linux e quando eu vou instalar algo como o yum tá esse erro:
sudo apt-get install yum
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da "Incoming".
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
libpython2.7 : Depende: libpython2.7-stdlib (= 2.7.16-2+deb10u1) mas 2.7.18-1 está para ser instalado
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.



  


2. Re: Problema com dependências desencontrada

Ryuk Shinigami
Ryuk

(usa Nenhuma)

Enviado em 17/08/2020 - 15:32h

Cara, você está na distro errada... rs!

YUM é o gerenciador de pacotes, equivalente ao APT, em distros RPM, tal como o Fedora e openSUSE. Acho que nem é mais usado. Você não vai instalar ele no Ubuntu, não faria sentido algum... e nem tá nos repositórios!!!!

Quanto ao erro, não tem relação nenhuma com o YUM. Algum outro programa que você instalou antes e foi mal configurado, ou tem PPA's aí conflitando com os repositórios oficiais da distro.

Mostre a saída dos comandos abaixo:
lsb_release -a
egrep -v "^($|#)" /etc/apt/sources.list{,.d/*.list}









Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts